
#ifndef __SHELL_H__
#define	__SHELL_H__

#include "console.h"

//--------------------------------------------------------
#ifndef MAX_CMD_NUM
#define	MAX_CMD_NUM		32
#endif

#define	MAX_CMD_STR		12
#define	MAX_HELP_STR	24

typedef void (*ShellFunc)(char *, char *);

typedef struct
{
	char cmdstr[MAX_CMD_STR];
//	char helpstr[MAX_HELP_STR];
	const char * helpstr;		// ¸ÄÎªÖ¸Õë

	ShellFunc shellfunc;
}ShellCmdItem;

//--------------------------------------------------------

void InitShell(void);
int ShellTask(void);
void ChangeToUper(char * str);

int AddShellCmd(const char*pCmd, const char*pHelp, ShellFunc func);

//--------------------------------------------------------

#endif
